package org.springblade.common;

import io.swagger.models.auth.In;
import lombok.Getter;

/**
 * Created By lidexi in 2021/3/11
 **/
public interface Constants {

	String encryptKey = "ad84afc60ddae8a8";

	/**
	 * 园区访客下发到设备时用户的id前缀
	 */
	String GUEST_PRE = "999";


	/**
	 * 园区访客信息在亲邻设备中有效时间在redis缓存中的key前缀，后面加上用户手机号码
	 */
	String REDIS_GUEST_EFFECTIVE_TIME_QINLIN = "ycwg:facedevice:effectivetime:qinlin:";

	/**
	 * 园区访客信息在亲邻设备中有效时间在redis缓存中的key前缀，后面加上用户手机号码
	 */
	String REDIS_GUEST_EFFECTIVE_TIME_JVT = "ycwg:facedevice:effectivetime:jvt:";

	/**
	 * 党支部关联资源类型：社区
	 */

	int BRANCH_RELATE_AGENCY = 1;

	/**
	 * 党支部关联资源类型：小区
	 */

	int BRANCH_RELATE_RESIDENTIAL = 2;

	/**
	 * 党支部关联资源类型：社区
	 */

	int BRANCH_RELATE_PARK = 3;

	/**
	 * 党支部关联资源类型：企业
	 */

	int BRANCH_RELATE_ENTERPRISE = 4;

	int PARTY_MEMBER_TYPE_HOUSEUSER = 1;

	int PARTY_MEMBER_TYPE_ENTERPRISESTAFF = 2;

	/**
	 * 腾讯地图
	 */
	String MAP_URL = "https://apis.map.qq.com/ws/geocoder/v1/?location=";

	String MAP_KEY = "WAGBZ-EFIKU-2W2VF-4UX5F-ATB3F-HKBFU";


	enum CommentType{
		PARTYNEWS,PARTYMEETING
	}

	@Getter
	enum IotDeviceType{

		SMOKE("烟感",100004),
		SMOKE_MODEL("烟感物模型",10000002),
		GAS("气感",100020),
		GAS_MODEL("气感物模型",100020);
		String name;
		Integer type;
		IotDeviceType(String name,Integer type){
			this.name = name;
			this.type = type;
		}
	}

	@Getter
	enum UserType{

		HOUSEUSER("住户", 1),
		STAFF("企业员工",2),
		SERVER("服务人员",3),
		GUEST("访客",4),
		ADMIN("管理员",5);
		String name;
		Integer type;
		UserType(String name,Integer type){
			this.name = name;
			this.type = type;
		}

		public Integer getType(){
			return this.type;
		}

	}

}
